Documentation Index
Fetch the complete documentation index at: https://docs.runflow.io/llms.txt
Use this file to discover all available pages before exploring further.
Pricing: $0.14/request. Endpoint:
POST /v1/models/runflow/tag-removal/runs.Overview
- Endpoint: https://api.runflow.io/v1/models/runflow/tag-removal/runs
- Model ID: runflow/tag-removal
- Provider: Runflow
- License: commercial
- Last Updated: 2026-04-21
Pricing
- Base price: $0.14/request
- Note: Per image - tag removal
Tag Removal API
Endpoint:POST /v1/models/runflow/tag-removal/runs
Run the model
Python
Node.js
cURL
Request parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
input | object | required | Model input parameters. See “Input schema” below. |
callback_url | string | null | optional | Webhook URL - POSTed when the run reaches a terminal state. |
metadata | object | null | optional | Arbitrary key-value pairs attached to the run. |
Input schema
| Field | Type | Required | Allowed values | Description |
|---|---|---|---|---|
image_url | image | required | Any | URL of the image to process. |
config | json | optional | See nested fields below | Optional per-image config (aspect_ratio). |
config - nested fields
Optional per-image config (aspect_ratio).
| Field | Type | Required | Allowed values | Description |
|---|---|---|---|---|
aspect_ratio | string | optional | Suggested: 1:1, 16:9, 9:16, 4:3, 3:4, 21:9, 2:3 |
Output schema
| Field | Type | Description |
|---|---|---|
image_urls | image_list | Processed image URLs. |
Callback payload
When you provide acallback_url, Runflow POSTs to it once the run reaches a terminal state.
| Field | Type | Description |
|---|---|---|
event | string | Event type: “run.completed”, “run.failed”, or “run.cancelled”. |
run_id | string | The unique identifier of the run. |
status | string | Terminal status: “succeeded”, “failed”, or “cancelled”. |
output | object | null | The run output. Null if the run failed or was cancelled. |
duration_ms | number | null | Total run duration in milliseconds. |
created_at | string | null | ISO 8601 timestamp when the run was created. |
completed_at | string | null | ISO 8601 timestamp when the run reached terminal state. |
metadata | object | null | The metadata object passed at run creation, if any. |
- Retries: 3 attempts with exponential backoff (1s, 2s). Retries on 5xx / network errors only.
- Headers:
Runflow-Request-Idis always sent.Runflow-Signatureis sent if a signing secret is configured.
Additional Resources
Related
Browse all models
Browse the catalog.
Run lifecycle
Callbacks, polling, statuses.
Callbacks
Handle async results.
Pricing
How requests bill out.